This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 464807 - channel.software.listAllPackages & listAllPackagesByDate are the same
channel.software.listAllPackages & listAllPackagesByDate are the same
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brad Buckingham
Sayli Karmarkar
:
Depends On:
Blocks: 456996
  Show dependency treegraph
 
Reported: 2008-09-30 11:52 EDT by Justin Sherrill
Modified: 2015-03-22 21:09 EDT (History)
3 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:53:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2008-09-30 11:52:29 EDT
All of the listAllPackages and listAllPackagesByDate are essentially the same.  One set needs to be removed.
Comment 1 Brandon Perkins 2008-10-01 15:05:15 EDT
Method: listAllPackagesByDate needs to be deprecated in this release and removed in a subsequent release.
Comment 2 Brad Buckingham 2009-02-10 11:01:39 EST
Marked the listAllPackagesByDate as deprecated.

Modifications made with git commit: 68820dc276c47b6828beed51ccfc3874f3aed306
Comment 3 Sayli Karmarkar 2009-02-16 18:07:07 EST
verified
Comment 4 Miroslav Suchý 2009-08-13 07:58:53 EDT
in web page:
Deprecated as of version - being replaced by listAllPackages(string sessionKey, string channelLabel, dateTime.iso8601 startDate, dateTime.iso8601 endDate) 
Deprecated as of version - being replaced by listAllPackages(string sessionKey, string channelLabel, dateTime.iso8601 startDate) 
Deprecated as of version - being replaced by listAllPackages(string sessionKey, string channelLabel) 

verified in stage
Comment 5 Brandon Perkins 2009-09-10 15:53:21 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.